Blackboard 9.1 Browser Check

Please visit the Browser Check page to make sure your browser is 'up to snuff'.  You can also visit the Blackboard KnowledgeBase to see if your browser is 'Certified' by Blackboard (we recommend the most recent version of Firefox).  To read more about this topic, visit the Being Compatible with Blackboard 9 (PDF,  145 KB) guide, or provide the link to your students from your own Blackboard term course shell.

Many Blackboard courses use browser plug-ins. In order to avoid technical difficulties with Blackboard and its components, you need one or more of the plug-ins below. Supported browsers will generally automatically download any plug-in required by a particular page, but you may want to download and install these plug-ins now to avoid technical problems. Plug-ins are listed in order of importance from required to optional.

 

Jave download icon Java is required for all Blackboard components.

Get Adobe Flash Player

 

Adobe Flash is required for many Blackboard courses that incorporate interactive quizzes, animations, and activities.

Get Adobe Reader icon

Adobe PDF documents are used in most Blackboard courses and web sites. This plug-in is recommended for accessing PDF files.

Get Windows Media Player

Some Blackboard courses use video or audio that can be played with Windows Media Player. This plug-in is recommended for accessing video and audio files with Windows operating systems.

Apple Quicktime logo

Apple QuickTime is used in Blackboard courses to support video  and audio formats especially content in iTunes U. This plug-in is recommended for accessing video and audio files with MAC and Windows. iTunes is optional and does not need to be installed.

Some Blackboard courses use video or audio that can be played with RealPlayer. This is plug-in is optional.

Adobe Shockwave Player icon

Adobe Shockwave is used in some Blackboard courses for interactive quizzes, animations, and activities. This plug-in is optional.